#ifndef RF02_h
#define RF02_h

#include <stdint.h>

extern void rf02_prepAll434();
extern void rf02_prepAll(unsigned short freq, uint8_t setPower, uint8_t modFreq, unsigned short baudRate);
//extern void rf02_prepAll(unsigned short freq, uint8_t setPower, uint8_t modFreq, unsigned short baudRate);

extern void rf02_sendData();
extern void rf02_changeText( unsigned char* ptr, uint8_t number);

extern void rf02_trans(unsigned short  value);
extern void rf02_init(void);							// init functions
extern void rf02_setmodfreq(uint8_t bandwidth);	// set modulation deviation
extern void rf02_setfreq(unsigned short freq);			// set tx frequency
extern void rf02_setpower(uint8_t power);			// set power (0-7)
extern void rf02_setbaud(unsigned short baud);			// set baudrate
extern void rf02_txdata(unsigned char* ptr, uint8_t number);	// tx data
extern void rf02_shiftout(unsigned char value);

 

#define RF02FREQ(freq)	((freq-430.0)/0.0025)

#endif
